package de.mdelab.mlsdm.interpreter.eclipse;

import de.mdelab.mlsdm.interpreter.MLSDMInterpreter;
import de.mdelab.mlsdm.interpreter.debug.MLSDMInterpreterLauncher;
import de.mdelab.mlsdm.interpreter.facade.MLSDMMetamodelFacadeFactory;
import de.mdelab.sdm.interpreter.core.SDMException;

public class MLSDMEclipseInterpreterLauncher extends MLSDMInterpreterLauncher {

	public MLSDMEclipseInterpreterLauncher() {
		super();
	}
	
	public MLSDMEclipseInterpreterLauncher( final ClassLoader p_classLoader ) {
		super( p_classLoader );
	}
	
	@Override
	protected MLSDMInterpreter createInterpreter( final MLSDMMetamodelFacadeFactory p_facadeFactory )
	throws SDMException {
		return new MLSDMEclipseInterpreter( classLoader );
	}
}
